Anket

PARDUS'U (Linux İşletim Sistemi) Kullanmak İster misiniz?

Evet
33 (51.6%)
Hayır
16 (25%)
Kararsızım
15 (23.4%)

Toplam Oy Verenler: 64


Konu: Pardus'u (Linux İşletim Sistemi) Kullanmak İster Misiniz?  (Okunma sayısı 5855 defa)

gokselgursu

  • Uzman Üye
  • *****
  • 1. Sınıf Öğretmeni
  • İleti: 1.473
  • Tesekkur 2443
    • Çevrimdışı
  • # 27 May 2018 16:15:04
Okullarımızda en az bir bilgisayarda ya da en azından Windows'un yanında Pardus'u (Linux İşletim Sistemi) kurarak kullanalım ve öğrencilerimize kullandırarak dünyanın sadece Windows'tan ibaret olmadığını gösterelim. Kodlama eğitimlerini her ikisinde de vermeye çalışalım.

smyi

  • Tecrübeli Üye
  • ****
  • 1. Sınıf Öğretmeni
  • İleti: 907
  • Tesekkur 2576
    • Çevrimdışı
  • # 28 May 2018 12:51:34
[linkler sadece üyelerimize görünmektedir.]
Alıntı yapılan: gokselgursu - 16 Mar 2018 00:48:48
Pardus'u yeterince denedim. Pardus ile ilgili kullanımdan kaynaklanan sıkıntılar konusunda Yegitek ve İTÜ ile görüşmeler yaptım. Ama sorunum çözülemedi. Sıkıntı Pardus'tan kaynaklanıyordu. Şimdi Linux Mint'i kurdum. Bakalım sorunlarım çözülecek mi?
Düzeltme
Sıkıntı Pardus'tan değil bilgisayarın donanımsal sorunlarından kaynaklanmaktadır.

NOT: Okulda Pardus a python modüllerini yüklemeyi başardım.

donanım sorunu en büyük dertlerden biri ve çoğu zaman çözümsüz.
bazı donanım üreticileri linux driverlarını yazmadıkları için sorun çıkabiliyor.
hatta bu sadece linux için de geçerli olan bir şey değil. yeni windows sürümleri için de bazen driver bulunmuyor. mesela bazı eski yazıcıları windowsta çalıştıramazsınız.
yeni laptoplarda ise kasıtlı olarak eski windows sürümleri için ve linux için driver bulundurmuyorlar ki adam mecburen win10 kullansın, win7 bile kullanamasın.
linux dünyasında çok çeşitli çözümler bulunmasına rağmen en iyi yapılacak şey yeni bir bilgisayar ya da ekran kartı vb. alırken linux ile uyumlu olup olmadığına bakmak.
lenovo'nun hiç linux driverları yok mesela. öbür taraftan dell'in linux uyumlu laptopları mevcut.

bir de keşke Türkiye'de şu ürün olsaydı. ne kadar pratik :)
[linkler sadece üyelerimize görünmektedir.]

beytim

  • Tecrübeli Üye
  • ****
  • İleti: 145
  • Tesekkur 163
    • Çevrimdışı
  • # 28 May 2018 13:07:41
Kullanıyorum En Güncel Sürümünü Canon E464 Yazıcıyı Otomatik Tanıdı.

metalmania

  • Tecrübeli Üye
  • ****
  • İleti: 920
  • Tesekkur 1629
    • Çevrimdışı
  • # 28 May 2018 13:45:43
bir süre kullanmıştım 2010'da...yazıcı-çıktı alma gibi sorunlar yaşadım...open office'in formatından dolayı...mecburen vazgeçtim...

gokselgursu

  • Uzman Üye
  • *****
  • 1. Sınıf Öğretmeni
  • İleti: 1.473
  • Tesekkur 2443
    • Çevrimdışı
  • # 28 May 2018 16:04:24
[linkler sadece üyelerimize görünmektedir.]
donanım sorunu en büyük dertlerden biri ve çoğu zaman çözümsüz.
bazı donanım üreticileri linux driverlarını yazmadıkları için sorun çıkabiliyor.
hatta bu sadece linux için de geçerli olan bir şey değil. yeni windows sürümleri için de bazen driver bulunmuyor. mesela bazı eski yazıcıları windowsta çalıştıramazsınız.
yeni laptoplarda ise kasıtlı olarak eski windows sürümleri için ve linux için driver bulundurmuyorlar ki adam mecburen win10 kullansın, win7 bile kullanamasın.
linux dünyasında çok çeşitli çözümler bulunmasına rağmen en iyi yapılacak şey yeni bir bilgisayar ya da ekran kartı vb. alırken linux ile uyumlu olup olmadığına bakmak.
lenovo'nun hiç linux driverları yok mesela. öbür taraftan dell'in linux uyumlu laptopları mevcut.

bir de keşke Türkiye'de şu ürün olsaydı. ne kadar pratik :)
[linkler sadece üyelerimize görünmektedir.]
Okuldaki bilgisayardan, evdeki gibi python modüllerini (kütüphane) yükleyememiştim. Hata veriyordu. Çeşitli yöntemler denedikten sonra python modüllerini yüklemeyi başardım. Bunu kastetmiştim.

gokselgursu

  • Uzman Üye
  • *****
  • 1. Sınıf Öğretmeni
  • İleti: 1.473
  • Tesekkur 2443
    • Çevrimdışı
  • # 29 May 2018 21:03:32
[linkler sadece üyelerimize görünmektedir.]
Okuldaki bilgisayardan, evdeki gibi python modüllerini (kütüphane) yükleyememiştim. Hata veriyordu. Çeşitli yöntemler denedikten sonra python modüllerini yüklemeyi başardım. Bunu kastetmiştim.
Python'ın Pilllow ve Reportlab modülü okuldaki bilgisayarda Pardus yüklü ise doğrudan konsoldan yüklenemiyor. Bunun için önce Pardus konsolda

sudo apt-get install -y python3-pip

yapılır.

[linkler sadece üyelerimize görünmektedir.]

adresinden

Pillow-5.1.0-cp35-cp35m-manylinux1_x86_64.whl (2.0 MB)

indirilir.

Konsolda

sudo pip3 install Pillow-5.1.0-cp35-cp35m-manylinux1_x86_64.whl

yapılır.

Sonra

[linkler sadece üyelerimize görünmektedir.]

adresinden

reportlab-3.4.0-cp35-cp35m-manylinux1_x86_64.whl

indirilir.

Pardus konsolda

sudo pip3 install reportlab-3.4.0-cp35-cp35m-manylinux1_x86_64.whl

yapılır.

Böylece okulda reportlab ve pillow modülleri yüklenmiş olur.

 

Egitimhane.Com ©2006-2023 rss